<?php

declare(strict_types=1);

namespace PHPMax\Domain\Attachments;

class FileAttachment extends BaseAttachment
{
     
    public $fileId;
     
    public $name;
     
    public $size;
     
    public $token;

    protected static function schema(): array
    {
        return parent::schema() + [
            'fileId' => ['type' => 'int'],
            'name' => ['type' => 'string'],
            'size' => ['type' => 'int'],
            'token' => ['type' => 'string'],
        ];
    }
}
